// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.21.0
// 	protoc        v3.11.4
// source: transport-order/model/vehicle-id.proto

package model

import (
	proto "github.com/golang/protobuf/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type VehicleIdSpecification int32

const (
	VehicleIdSpecification_PRODUCTION_NUMBER VehicleIdSpecification = 0
	VehicleIdSpecification_COMMISSION_NUMBER VehicleIdSpecification = 1
	VehicleIdSpecification_PROJECT_NUMBER    VehicleIdSpecification = 2
	VehicleIdSpecification_LICENCE_PLATE     VehicleIdSpecification = 3
)

// Enum value maps for VehicleIdSpecification.
var (
	VehicleIdSpecification_name = map[int32]string{
		0: "PRODUCTION_NUMBER",
		1: "COMMISSION_NUMBER",
		2: "PROJECT_NUMBER",
		3: "LICENCE_PLATE",
	}
	VehicleIdSpecification_value = map[string]int32{
		"PRODUCTION_NUMBER": 0,
		"COMMISSION_NUMBER": 1,
		"PROJECT_NUMBER":    2,
		"LICENCE_PLATE":     3,
	}
)

func (x VehicleIdSpecification) Enum() *VehicleIdSpecification {
	p := new(VehicleIdSpecification)
	*p = x
	return p
}

func (x VehicleIdSpecification) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (VehicleIdSpecification) Descriptor() protoreflect.EnumDescriptor {
	return file_transport_order_model_vehicle_id_proto_enumTypes[0].Descriptor()
}

func (VehicleIdSpecification) Type() protoreflect.EnumType {
	return &file_transport_order_model_vehicle_id_proto_enumTypes[0]
}

func (x VehicleIdSpecification) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use VehicleIdSpecification.Descriptor instead.
func (VehicleIdSpecification) EnumDescriptor() ([]byte, []int) {
	return file_transport_order_model_vehicle_id_proto_rawDescGZIP(), []int{0}
}

type KeyValueVehicleId struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Key   VehicleIdSpecification `protobuf:"varint,1,opt,name=key,proto3,enum=transportOrder.VehicleIdSpecification" json:"key,omitempty"`
	Value string                 `protobuf:"bytes,2,opt,name=value,proto3" json:"value,omitempty"`
}

func (x *KeyValueVehicleId) Reset() {
	*x = KeyValueVehicleId{}
	if protoimpl.UnsafeEnabled {
		mi := &file_transport_order_model_vehicle_id_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *KeyValueVehicleId) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*KeyValueVehicleId) ProtoMessage() {}

func (x *KeyValueVehicleId) ProtoReflect() protoreflect.Message {
	mi := &file_transport_order_model_vehicle_id_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use KeyValueVehicleId.ProtoReflect.Descriptor instead.
func (*KeyValueVehicleId) Descriptor() ([]byte, []int) {
	return file_transport_order_model_vehicle_id_proto_rawDescGZIP(), []int{0}
}

func (x *KeyValueVehicleId) GetKey() VehicleIdSpecification {
	if x != nil {
		return x.Key
	}
	return VehicleIdSpecification_PRODUCTION_NUMBER
}

func (x *KeyValueVehicleId) GetValue() string {
	if x != nil {
		return x.Value
	}
	return ""
}

type VehicleId struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Vin     string               `protobuf:"bytes,1,opt,name=vin,proto3" json:"vin,omitempty"`
	ExtraId []*KeyValueVehicleId `protobuf:"bytes,2,rep,name=extraId,proto3" json:"extraId,omitempty"`
}

func (x *VehicleId) Reset() {
	*x = VehicleId{}
	if protoimpl.UnsafeEnabled {
		mi := &file_transport_order_model_vehicle_id_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *VehicleId) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*VehicleId) ProtoMessage() {}

func (x *VehicleId) ProtoReflect() protoreflect.Message {
	mi := &file_transport_order_model_vehicle_id_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use VehicleId.ProtoReflect.Descriptor instead.
func (*VehicleId) Descriptor() ([]byte, []int) {
	return file_transport_order_model_vehicle_id_proto_rawDescGZIP(), []int{1}
}

func (x *VehicleId) GetVin() string {
	if x != nil {
		return x.Vin
	}
	return ""
}

func (x *VehicleId) GetExtraId() []*KeyValueVehicleId {
	if x != nil {
		return x.ExtraId
	}
	return nil
}

var File_transport_order_model_vehicle_id_proto protoreflect.FileDescriptor

var file_transport_order_model_vehicle_id_proto_rawDesc = []byte{
	0x0a, 0x26, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x76, 0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x2d,
	0x69, 0x64, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0e, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70,
	0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x22, 0x63, 0x0a, 0x11, 0x4b, 0x65, 0x79, 0x56,
	0x61, 0x6c, 0x75, 0x65, 0x56, 0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x49, 0x64, 0x12, 0x38, 0x0a,
	0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x26, 0x2e, 0x74, 0x72, 0x61,
	0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x56, 0x65, 0x68, 0x69,
	0x63, 0x6c, 0x65, 0x49, 0x64, 0x53, 0x70, 0x65, 0x63, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x22, 0x5a, 0x0a,
	0x09, 0x56, 0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x49, 0x64, 0x12, 0x10, 0x0a, 0x03, 0x76, 0x69,
	0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x76, 0x69, 0x6e, 0x12, 0x3b, 0x0a, 0x07,
	0x65, 0x78, 0x74, 0x72, 0x61, 0x49, 0x64, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x21, 0x2e,
	0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4b,
	0x65, 0x79, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x56, 0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x49, 0x64,
	0x52, 0x07, 0x65, 0x78, 0x74, 0x72, 0x61, 0x49, 0x64, 0x2a, 0x6d, 0x0a, 0x16, 0x56, 0x65, 0x68,
	0x69, 0x63, 0x6c, 0x65, 0x49, 0x64, 0x53, 0x70, 0x65, 0x63, 0x69, 0x66, 0x69, 0x63, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x12, 0x15, 0x0a, 0x11, 0x50, 0x52, 0x4f, 0x44, 0x55, 0x43, 0x54, 0x49, 0x4f,
	0x4e, 0x5f, 0x4e, 0x55, 0x4d, 0x42, 0x45, 0x52, 0x10, 0x00, 0x12, 0x15, 0x0a, 0x11, 0x43, 0x4f,
	0x4d, 0x4d, 0x49, 0x53, 0x53, 0x49, 0x4f, 0x4e, 0x5f, 0x4e, 0x55, 0x4d, 0x42, 0x45, 0x52, 0x10,
	0x01, 0x12, 0x12, 0x0a, 0x0e, 0x50, 0x52, 0x4f, 0x4a, 0x45, 0x43, 0x54, 0x5f, 0x4e, 0x55, 0x4d,
	0x42, 0x45, 0x52, 0x10, 0x02, 0x12, 0x11, 0x0a, 0x0d, 0x4c, 0x49, 0x43, 0x45, 0x4e, 0x43, 0x45,
	0x5f, 0x50, 0x4c, 0x41, 0x54, 0x45, 0x10, 0x03, 0x42, 0xaf, 0x01, 0x0a, 0x25, 0x63, 0x6f, 0x6d,
	0x2e, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2e, 0x74, 0x72, 0x61, 0x6e,
	0x73, 0x70, 0x6f, 0x72, 0x74, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x73, 0x65, 0x72, 0x76, 0x69,
	0x63, 0x65, 0x42, 0x09, 0x56, 0x65, 0x68, 0x69, 0x63, 0x6c, 0x65, 0x49, 0x64, 0x50, 0x01, 0x5a,
	0x3a, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x75, 0x70, 0x70,
	0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2f, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x2f, 0x67, 0x6f,
	0x2d, 0x67, 0x72, 0x70, 0x63, 0x2f, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x2d,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0xa2, 0x02, 0x03, 0x4d, 0x58,
	0x58, 0xaa, 0x02, 0x1e, 0x53, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x4e, 0x65, 0x74, 0x2e, 0x54, 0x72,
	0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4d, 0x6f, 0x64,
	0x65, 0x6c, 0xca, 0x02, 0x15, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x70, 0x6f, 0x72, 0x74, 0x4f, 0x72,
	0x64, 0x65, 0x72, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x33,
}

var (
	file_transport_order_model_vehicle_id_proto_rawDescOnce sync.Once
	file_transport_order_model_vehicle_id_proto_rawDescData = file_transport_order_model_vehicle_id_proto_rawDesc
)

func file_transport_order_model_vehicle_id_proto_rawDescGZIP() []byte {
	file_transport_order_model_vehicle_id_proto_rawDescOnce.Do(func() {
		file_transport_order_model_vehicle_id_proto_rawDescData = protoimpl.X.CompressGZIP(file_transport_order_model_vehicle_id_proto_rawDescData)
	})
	return file_transport_order_model_vehicle_id_proto_rawDescData
}

var file_transport_order_model_vehicle_id_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_transport_order_model_vehicle_id_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_transport_order_model_vehicle_id_proto_goTypes = []interface{}{
	(VehicleIdSpecification)(0), // 0: transportOrder.VehicleIdSpecification
	(*KeyValueVehicleId)(nil),   // 1: transportOrder.KeyValueVehicleId
	(*VehicleId)(nil),           // 2: transportOrder.VehicleId
}
var file_transport_order_model_vehicle_id_proto_depIdxs = []int32{
	0, // 0: transportOrder.KeyValueVehicleId.key:type_name -> transportOrder.VehicleIdSpecification
	1, // 1: transportOrder.VehicleId.extraId:type_name -> transportOrder.KeyValueVehicleId
	2, // [2:2] is the sub-list for method output_type
	2, // [2:2] is the sub-list for method input_type
	2, // [2:2] is the sub-list for extension type_name
	2, // [2:2] is the sub-list for extension extendee
	0, // [0:2] is the sub-list for field type_name
}

func init() { file_transport_order_model_vehicle_id_proto_init() }
func file_transport_order_model_vehicle_id_proto_init() {
	if File_transport_order_model_vehicle_id_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_transport_order_model_vehicle_id_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*KeyValueVehicleId); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_transport_order_model_vehicle_id_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*VehicleId); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_transport_order_model_vehicle_id_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_transport_order_model_vehicle_id_proto_goTypes,
		DependencyIndexes: file_transport_order_model_vehicle_id_proto_depIdxs,
		EnumInfos:         file_transport_order_model_vehicle_id_proto_enumTypes,
		MessageInfos:      file_transport_order_model_vehicle_id_proto_msgTypes,
	}.Build()
	File_transport_order_model_vehicle_id_proto = out.File
	file_transport_order_model_vehicle_id_proto_rawDesc = nil
	file_transport_order_model_vehicle_id_proto_goTypes = nil
	file_transport_order_model_vehicle_id_proto_depIdxs = nil
}
